import os

from gi.repository import Gtk
from jarabe.desktop import keydialog
from jarabe.model import network


class DialogWindow(Gtk.Window):

    def __init__(self):
        Gtk.Window.__init__(self, title="Dialog Example")

        self.set_border_width(6)

        button = Gtk.Button.new_from_stock(Gtk.STOCK_OK)
        button.connect("clicked", self.on_button_clicked)

        self.add(button)

    def reply(self, a):
        print 'reply ', a

    def error(self, a):
        print 'error'

    def on_button_clicked(self, widget):
        keydialog.create('pennylane', 1, 332, 332, 63, network.SecretsResponse(self.reply, self.error))

def set_theme():
    settings = Gtk.Settings.get_default()
    sugar_theme = 'sugar-72'
    if 'SUGAR_SCALING' in os.environ:
        if os.environ['SUGAR_SCALING'] == '100':
            sugar_theme = 'sugar-100'
    print  sugar_theme
    settings.set_property('gtk-theme-name', sugar_theme)
    settings.set_property('gtk-icon-theme-name', 'sugar')
    settings.set_property('gtk-menu-images', 1)
    settings.set_property('gtk-button-images', 1)

set_theme()

win = DialogWindow()
win.connect("delete-event", Gtk.main_quit)
win.show_all()
Gtk.main()
